Skip to main content
DocsAPI ReferenceAgents
ApiNotifications

Update a notification subscription

View Markdown
PATCH/v1/notifications/{id}

Authorization

accessKey
x-access-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/notifications/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "data": {
    "id": "string",
    "enabled": true,
    "channel": "email",
    "eventTypes": [
      "mention_lost"
    ],
    "brandId": null,
    "emailRecipients": [
      "string"
    ],
    "webhookUrl": null,
    "webhookSecret": null,
    "lastTestAt": null,
    "lastTestStatus": null,
    "createdAt": "string",
    "updatedAt": "string"
  }
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}